#ifndef THREADOBJECT_H
#define THREADOBJECT_H
#include <functional>

#include <QMessageBox> 
#include <QObject>
#include <QProcess>
#include <QThread>
#include <QVector>
#include <QDateTime>

#include <iostream>

//#include "qtclasslibrary1_global.h"
#include "SrsMainPluginInterFace.h"
#include "ui_DEM_GeneRas.h"
//#include "Extract.h"

using namespace std;

class VegePredict;

class WorkThreadObject :public QObject
{
	Q_OBJECT
public:
	WorkThreadObject(QObject* parent = NULL);
	~WorkThreadObject();

	void on_cancel();

signals:
	void process(int value);
	void addDataToMap();
	void addShpDataToMap(QStringList list);

public slots:
	void runPredictWork(QString Moudle, QString DOM, QString DSM, QString PRE);//
	void on_read();
	void runFormatConvert(QString pre_path, QString DSM);

private:
	QProcess* mProces = nullptr;
	QString assess_txt_path;
};

#endif
